# _DrawingWand Struct Reference

## Data Fields

unsigned long | id
char | name [MaxTextExtent]
Image * | image
ExceptionInfo * | exception
char * | mvg
size_t | mvg_alloc
size_t | mvg_length
unsigned long | mvg_width
char * | pattern_id
RectangleInfo | pattern_bounds
size_t | pattern_offset
unsigned long | index
DrawInfo ** | graphic_context
MagickBooleanType | filter_off
unsigned long | indent_depth
PathOperation | path_operation
PathMode | path_mode
MagickBooleanType | destroy
MagickBooleanType | debug
unsigned long | signature

## Field Documentation

unsigned long _DrawingWand::id

char _DrawingWand::name[MaxTextExtent]

Image* _DrawingWand::image

ExceptionInfo* _DrawingWand::exception

char* _DrawingWand::mvg

size_t _DrawingWand::mvg_alloc

size_t _DrawingWand::mvg_length

unsigned long _DrawingWand::mvg_width

char* _DrawingWand::pattern_id

RectangleInfo _DrawingWand::pattern_bounds

size_t _DrawingWand::pattern_offset

unsigned long _DrawingWand::index

DrawInfo** _DrawingWand::graphic_context

MagickBooleanType _DrawingWand::filter_off

unsigned long _DrawingWand::indent_depth

PathOperation _DrawingWand::path_operation

PathMode _DrawingWand::path_mode

MagickBooleanType _DrawingWand::destroy

MagickBooleanType _DrawingWand::debug

unsigned long _DrawingWand::signature

The documentation for this struct was generated from the following file:

- drawing-wand.c